# -*- rpm-spec -*-
#

%define original_kernel_version	2.4.29
%define kernel_version		2.4.29
%define patch_level		rel
%define testing			0
# Numeric extra version scheme developed by Alexander Bokovoy:
# 0.0.X -- preX
# 0.X.0 -- rcX
# 1.0.0 -- release
%define patch_level_numeric     1.0.0

Name: kernel-source-%kernel_version
Version: %patch_level_numeric
Release: alt1

%if %testing
Summary: Linux kernel %kernel_version sources
%else
Summary: Linux kernel %kernel_version%patch_level sources
%else
%endif

License: GPL
Group: Development/Kernel
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

Source0: linux-%original_kernel_version.tar.bz2
Source1: ChangeLog-%original_kernel_version

%if %testing
## Kernel version upgrade
Patch0:         patch-%kernel_version-%patch_level.bz2
%endif

BuildArch: noarch
BuildPreReq: kernel-build-tools

%if %testing
%description
Kernel sources for Linux kernel %kernel_version%patch_level

%else
%description
Kernel sources for Linux kernel %kernel_version

%endif


%prep
%setup -c -q
%__mv linux-%original_kernel_version kernel-source-%kernel_version

%if %testing
pushd kernel-source-%kernel_version
%patch0 -p1
popd
%endif

%__tar -c kernel-source-%kernel_version | bzip2 -cz > \
    kernel-source-%kernel_version.tar.bz2

%install
%__mkdir_p %kernel_srcdir
%__mv kernel-source-%kernel_version.tar.bz2 %kernel_srcdir

%files
%kernel_src/kernel-source-%kernel_version.tar.bz2


%changelog
* Sat Jan 22 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.0-alt1
- Updated to 2.4.29 release.

* Sun Dec 05 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.0-alt1
- Updated to 2.4.28 release.

* Wed Oct 06 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.0-alt1
- Updated to 2.4.27 release.

* Thu May 06 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.0-alt1
- Updated to 2.4.26 release.

* Mon Feb 23 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.0-alt1
- Updated to 2.4.25 release.

* Sun Nov 30 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0.0-alt1
- Updated to 2.4.23 release.
- Removed kernel-doc package - it is useless because many patches modify the
  documentation files too, therefore flavour-specific documentation packages
  are needed.
- Fixed Summary text.
- Simplified %%prep.

* Tue Jun 17 2003 Peter Novodvorsky <nidd@altlinux.com> 1.0.0-alt2
- removed %patch_level from tarball, so packages don't builddepend
  on kernel-source-2.4.21 version 

* Sun Jun 15 2003 Peter Novodvorsky <nidd@altlinux.com> 1.0.0-alt1
- Updated to release.

* Thu Jun 12 2003 Peter Novodvorsky <nidd@altlinux.com> 0.8.0-alt1
- Updated to rc8

* Thu Jun  5 2003 Ed V. Bartosh <ed@sam-solutions.net> 0.7.0-alt1
- Updated to rc7

* Wed May 14 2003 Ed V. Bartosh <ed@sam-solutions.net> 0.2.0-alt1
- Updated to rc2

* Tue Apr 29 2003 Ed V. Bartosh <ed@sam-solutions.net> 0.1.0-alt1
- change name and release according to new versioning scheme

* Tue Apr 22 2003 Ed V. Bartosh <ed@sam-solutions.net> 2.4.21rc1-alt1
- updated to rc1
- spec cosmetic changes

* Sat Apr 19 2003 Ed V. Bartosh <ed@sam-solutions.net> 2.4.21pre7-alt2
- unneeded version removed from the packege name

* Fri Apr 18 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21pre7-alt1
- adopting to new kernel policy.
- updated version.

* Wed Mar 19 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21pre5-alt2
- Added aic7xxxx compilation fix patch

* Wed Feb 19 2003 Peter Novodvorsky <nidd@altlinux.org> 2.4.20-alt0.1
- initial release of NGKPs



